HanMacWrdJGraphInternal::Group Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
HanMacWrdJGraphInternal::Group Struct Reference

Internal: a group of a HanMacWrdJGraph. More...

Inheritance diagram for HanMacWrdJGraphInternal::Group:

## Public Member Functions
| Group (Frame const &orig)
| constructor More...
virtual bool | valid () const
| returns true if the frame data are read More...
Public Member Functions inherited from HanMacWrdJGraphInternal::Frame
| Frame ()
| constructor More...
Box2f | getBdBox () const
| return the frame bdbox More...
virtual | ~Frame ()
| destructor More...

## Public Attributes
long | m_zId
| the group id More...
std::vector< long > | m_childsList
| the child list More...
Public Attributes inherited from HanMacWrdJGraphInternal::Frame
int | m_type
| the graph type More...
long | m_fileId
| the file id More...
int | m_id
| the local id More...
int | m_formatId
| the format id More...
int | m_page
| the page More...
Box2f | m_pos
| the position More...
float | m_baseline
| the baseline More...
bool | m_inGroup
| true if this node is a group's child More...
bool | m_parsed
| true if we have send the data More...
std::string | m_extra
| an extra string More...

## Detailed Description

Internal: a group of a HanMacWrdJGraph.

## Constructor & Destructor Documentation

HanMacWrdJGraphInternal::Group::Group | ( | Frame const & | orig | ) |
| inline

constructor

## Member Function Documentation

virtual bool HanMacWrdJGraphInternal::Group::valid | ( |  | ) | const
| inlinevirtual

returns true if the frame data are read

Reimplemented from HanMacWrdJGraphInternal::Frame.

## Member Data Documentation

std::vector<long> HanMacWrdJGraphInternal::Group::m_childsList

the child list

Referenced by HanMacWrdJGraph::canCreateGraphic(), HanMacWrdJGraph::checkGroupStructures(), HanMacWrdJGraph::readGroupData(), HanMacWrdJGraph::sendGroup(), and HanMacWrdJGraph::sendGroupChild().

long HanMacWrdJGraphInternal::Group::m_zId

the group id

Referenced by HanMacWrdJGraph::readFrame().

The documentation for this struct was generated from the following file:

- HanMacWrdJGraph.cxx